Skip to content

Get effective settings with provenance

GET
/settings
curl --request GET \
--url https://example.com/api/v1/settings

The effective settings document plus per-key provenance (which level won) and lock state. Gated by settings:read (admin).

OK

Media type application/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
locks
required

Key ‘namespace.key’ to the locking level, when locked

object
key
additional properties
string
sources
required

Key ‘namespace.key’ to the winning level (default|file|platform)

object
key
additional properties
string
values
required
object
keybindings
required
object
close_blade
required

Close the top blade

string
default: Escape
command_palette
required

Open the command palette

string
default: mod+k
open_detail
required

Open the detail blade

string
default: d
open_edit
required

Open the edit pane

string
default: e
ui
required
object
default_landing
required

Route the console opens to (an absolute path)

string
default: / /^//
theme
required

Console color theme

string
default: omniglass-dark
Allowed values: omniglass-dark omniglass-light
Example
{
"$schema": "/api/v1/schemas/SettingsReadOutputBody.json",
"values": {
"keybindings": {
"close_blade": "Escape",
"command_palette": "mod+k",
"open_detail": "d",
"open_edit": "e"
},
"ui": {
"default_landing": "/",
"theme": "omniglass-dark"
}
}
}

Error

Media type application/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
Example
{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}